// Copyright (c) 2016, XMOS Ltd, All rights reserved
#include <xs1.h>
#include <platform.h>
#include <quadflashlib.h>
#include <timer.h>
#include <print.h>

// Ports for QuadSPI access on explorerKIT.
fl_QSPIPorts ports = {
        PORT_SQI_CS,
        PORT_SQI_SCLK,
        PORT_SQI_SIO,
        on tile[0]: XS1_CLKBLK_1
};

// List of QuadSPI devices that are supported by default.
fl_QuadDeviceSpec deviceSpecs[] =
{
    FL_QUADDEVICE_ADESTO_AT25SF081
};

unsigned char destination[3];

int main (void)
{

    fl_getSpiId(ports, 0x9F, destination);
    printstr("Flash ID: ");
    printhex(destination[0]);
    printhex(destination[1]);
    printhexln(destination[2]);


    // Connect to the QuadSPI device using the quadflash library function fl_connectToDevice.
    if(fl_connectToDevice(ports, deviceSpecs, sizeof(deviceSpecs)/sizeof(fl_QuadDeviceSpec)) != 0)
    {
        printstrln("Flash failed");
        return 1;
    }

    printstrln("Flash ok");

    while(1);

    return 0;
}
